## AmitkProgressDialog AmitkProgressDialog |

## Synopsis

    #define             AMITK_PROGRESS_DIALOG_CAN_CONTINUE  (obj)
                        AmitkProgressDialog;
    gboolean            amitk_progress_dialog_update        (gpointer dialog,
                                                             char *message,
                                                             gdouble fraction);
    void                amitk_progress_dialog_set_text      (AmitkProgressDialog *dialog,
                                                             gchar *message);
    gboolean            amitk_progress_dialog_set_fraction  (AmitkProgressDialog *dialog,
                                                             gdouble fraction);
    GtkWidget*          amitk_progress_dialog_new           (GtkWindow *parent);

## Description

## Details

### AMITK_PROGRESS_DIALOG_CAN_CONTINUE()

    #define AMITK_PROGRESS_DIALOG_CAN_CONTINUE(obj)   (AMITK_PROGRESS_DIALOG(obj)->can_continue);

`obj` : |

### AmitkProgressDialog

    typedef struct {
      GtkDialog dialog;

      GtkWidget * message_label;
      GtkWidget * progress_bar;
      gboolean can_continue;
    } AmitkProgressDialog;

### amitk_progress_dialog_update ()

    gboolean            amitk_progress_dialog_update        (gpointer dialog,
                                                             char *message,
                                                             gdouble fraction);

`dialog` : |
`message` : |
`fraction` : |
Returns : |

### amitk_progress_dialog_set_text ()

    void                amitk_progress_dialog_set_text      (AmitkProgressDialog *dialog,
                                                             gchar *message);

`dialog` : |
`message` : |

### amitk_progress_dialog_set_fraction ()

    gboolean            amitk_progress_dialog_set_fraction  (AmitkProgressDialog *dialog,
                                                             gdouble fraction);

`dialog` : |
`fraction` : |
Returns : |

### amitk_progress_dialog_new ()

    GtkWidget*          amitk_progress_dialog_new           (GtkWindow *parent);

`parent` : |
Returns : |